Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 140599 - sci-geosciences/mapnik-0.4.0.ebuild (New Package)
Summary: sci-geosciences/mapnik-0.4.0.ebuild (New Package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.mapnik.org/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2006-07-16 00:21 UTC by Federico Fissore
Modified: 2008-09-25 06:02 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mapnik-0.3.0.ebuild (mapnik-0.3.0.ebuild,1.34 KB, text/plain)
2006-07-16 00:22 UTC, Federico Fissore
Details
SConstruct-0.3.0.patch (SConstruct-0.3.0.patch,505 bytes, patch)
2006-07-16 00:22 UTC, Federico Fissore
Details | Diff
SConstruct-pythonbindings-0.3.0.patch (SConstruct-pythonbindings-0.3.0.patch,1.21 KB, patch)
2006-07-16 00:23 UTC, Federico Fissore
Details | Diff
SConstruct-projbindings-0.3.0.patch (SConstruct-projbindings-0.3.0.patch,831 bytes, patch)
2006-07-16 00:23 UTC, Federico Fissore
Details | Diff
SConstruct-0.3.0.patch (SConstruct-0.3.0.patch,553 bytes, patch)
2006-07-16 00:53 UTC, Federico Fissore
Details | Diff
SConstruct-projbindings-0.3.0.patch (SConstruct-projbindings-0.3.0.patch,908 bytes, patch)
2006-07-16 00:54 UTC, Federico Fissore
Details | Diff
SConstruct-pythonbindings-0.3.0.patch (SConstruct-pythonbindings-0.3.0.patch,1.27 KB, patch)
2006-07-16 00:54 UTC, Federico Fissore
Details | Diff
SConstruct-0.3.0.patch (SConstruct-0.3.0.patch,962 bytes, patch)
2006-07-16 05:28 UTC, Federico Fissore
Details | Diff
mapnik-0.3.0.ebuild (mapnik-0.3.0.ebuild,1.47 KB, text/plain)
2006-07-16 05:29 UTC, Federico Fissore
Details
mapnik-0.4.0.ebuild (mapnik-0.4.0.ebuild,1.58 KB, text/plain)
2008-01-04 13:11 UTC, Homme Zwaagstra
Details
SConstruct-0.4.0.patch (SConstruct-0.4.0.patch,1.11 KB, patch)
2008-01-04 13:12 UTC, Homme Zwaagstra
Details | Diff
SConstruct-pythonbindings-0.4.0.patch (SConstruct-pythonbindings-0.4.0.patch,991 bytes, patch)
2008-01-04 13:13 UTC, Homme Zwaagstra
Details | Diff
mapnik-0.5.1.ebuild (mapnik-0.5.1.ebuild,1.50 KB, text/plain)
2008-05-27 16:08 UTC, Günther Hutzl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Federico Fissore 2006-07-16 00:21:29 UTC
Hi!

Please find attached mapnik-0.3.0.ebuild and related SConstruct patches

From the app site:
Mapnik is a Free Toolkit for developing mapping applications. Above all Mapnik is about making beautiful maps. It is easily extensible and suitable for both desktop and web development.

Apart python and the imaginery deps, this package CAN depend on postgis and proj (there are use flags for them)
Comment 1 Federico Fissore 2006-07-16 00:22:05 UTC
Created attachment 91855 [details]
mapnik-0.3.0.ebuild
Comment 2 Federico Fissore 2006-07-16 00:22:27 UTC
Created attachment 91856 [details, diff]
SConstruct-0.3.0.patch
Comment 3 Federico Fissore 2006-07-16 00:23:12 UTC
Created attachment 91857 [details, diff]
SConstruct-pythonbindings-0.3.0.patch
Comment 4 Federico Fissore 2006-07-16 00:23:31 UTC
Created attachment 91858 [details, diff]
SConstruct-projbindings-0.3.0.patch
Comment 5 Federico Fissore 2006-07-16 00:53:44 UTC
Created attachment 91859 [details, diff]
SConstruct-0.3.0.patch

errors in header
Comment 6 Federico Fissore 2006-07-16 00:54:11 UTC
Created attachment 91860 [details, diff]
SConstruct-projbindings-0.3.0.patch

errors in header
Comment 7 Federico Fissore 2006-07-16 00:54:31 UTC
Created attachment 91861 [details, diff]
SConstruct-pythonbindings-0.3.0.patch

errors in header
Comment 8 Federico Fissore 2006-07-16 05:28:29 UTC
Created attachment 91884 [details, diff]
SConstruct-0.3.0.patch

removed gcc -O flag: lets the user choose the optimization level
Comment 9 Federico Fissore 2006-07-16 05:29:04 UTC
Created attachment 91885 [details]
mapnik-0.3.0.ebuild

bugfix + "doc" use flag
Comment 10 webograph van da net 2007-12-08 15:34:43 UTC
i just got the following error:

 * Messages for package sci-geosciences/mapnik-0.3.0:
                                                
 *                                              
 * ERROR: sci-geosciences/mapnik-0.3.0 failed.  
 * Call stack:                                  
 *               ebuild.sh, line   46:  Called pkg_setup
 *     mapnik-0.3.0.ebuild, line   27:  Called built_with_use 'pkg_setup' 'pkg_setup'
 *           eutils.eclass, line 1695:  Called die
 * The specific snippet of code:
 *                                      die)   die "$PKG does not actually support the $1 USE flag!";;
 *  The die message:
 *   dev-libs/boost-1.34.1 does not actually support the threads USE flag!
Comment 11 webograph van da net 2007-12-08 15:36:56 UTC
sorry, i submitted too hastily; you will probably need my boost version, it is dev-libs/boost-1.34.1. i am running a ~x86 mostly up to date system and tried the last attached mapnik-0.3.0.ebuild.
Comment 12 Malte Frerichs 2007-12-25 23:00:55 UTC
(In reply to comment #11)
> sorry, i submitted too hastily; you will probably need my boost version, it is
> dev-libs/boost-1.34.1. i am running a ~x86 mostly up to date system and tried
> the last attached mapnik-0.3.0.ebuild.
> 

Hello,
I've got the same error with the USE-Flag. I'm using an ~x86 build with the up to date Version of boost. The problem I think is, that the "threads"-Flag was removed in the >=1.34-ebuilds. so there comes the upper Message. The Build-File worked for me by commenting out the lines 26-30, where the Error-messges comes from. I think it's dirty, but it worked.

Another Problem I had, is. that ALL the three patches have incorrcet locations in the first two lines.

In the patchfiles was written:
/var/tmp/portage/mapnik-0.3.0/work/...

In my installation it must be:
/var/tmp/portage/sci-geoscience/mapnik-0.3.0/work/

It's my first entry in a Bugzilla so please forgive me, that I don't change the files.
Comment 13 Homme Zwaagstra 2008-01-04 13:11:27 UTC
Created attachment 140051 [details]
mapnik-0.4.0.ebuild

- Added support for bidi and python USE flags
- Created updated Sconstruct-0.4.0.patch and SConstruct-pythonbindings-0.4.0.patch
- No apparent need for a SConstruct-projbindings-0.4.0.patch
Comment 14 Homme Zwaagstra 2008-01-04 13:12:54 UTC
Created attachment 140053 [details, diff]
SConstruct-0.4.0.patch

Updates SConstruct-0.3.0.patch
Comment 15 Homme Zwaagstra 2008-01-04 13:13:34 UTC
Created attachment 140054 [details, diff]
SConstruct-pythonbindings-0.4.0.patch

Updates Construct-pythonbindings-0.3.0.patch
Comment 16 Hanno Böck gentoo-dev 2008-03-10 18:29:47 UTC
I'm just having a look at the ebuild. Homme, some tipps for future ebuilds:
- Run repoman on your ebuilds, it tells you lot's of the most common mistakes
- If you add patches, please a) document why they're needed and b) try to submit them to the upstream projects developers.
Comment 17 Federico Fissore 2008-03-10 20:18:24 UTC
Hi Hanno,

(In reply to comment #16)
> - If you add patches, please a) document why they're needed and b) try to
> submit them to the upstream projects developers.
> 

I did! But I was unlucky :(
https://lists.berlios.de/pipermail/mapnik-devel/2006-July/000019.html

Comment 18 Günther Hutzl 2008-05-04 13:29:36 UTC
Hi!

I tried to install mapnik-0.4.0 with the ebuild from here. As I did not have the "proj" use flag set, the dependency sci-libs/proj was not pulled in / emerged automatically. But the build fails because of the missing proj library:

* Mapnik build procedure eats lots of memory. Pay attention!
scons: Reading SConscript files ...
Checking for C library m... yes
Checking for C library ltdl... yes
Checking for C library png... yes
Checking for C library tiff... yes
Checking for C library z... yes
Checking for C library jpeg... yes
Checking for C library proj... no
Could not find header or shared library for proj, exiting!
 *
 * ERROR: sci-geosciences/mapnik-0.4.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2089:  Called die
 * The specific snippet of code:
 *       scons ${MAKEOPTS} || die "Unable to build Mapnik"
 *  The die message:
 *   Unable to build Mapnik
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/sci-geosciences:mapnik-0.4.0:20080504-131505.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-geosciences/mapnik-0.4.0/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'

So to fix this, one should find out how to deactivate proj for the mapnik build. I was unsuccessful to do so, so finally I added proj to my use flags and everything worked (after I commented out the lines asking for the threads use flag in within boost.
Comment 19 Hanno Böck gentoo-dev 2008-05-04 13:31:59 UTC
0.4.0 is pretty much out of date, I'm trying to get 0.5.1 building properly, but it doesn't want to build the postgres/postgis-plugin for me (and I noticed that I don't like scons :-).
Comment 20 Günther Hutzl 2008-05-04 14:00:10 UTC
(In reply to comment #19)
> 0.4.0 is pretty much out of date, I'm trying to get 0.5.1 building properly,
> but it doesn't want to build the postgres/postgis-plugin for me (and I noticed
> that I don't like scons :-).
> 

Hi!

I just started to update the ebuild for 0.5.1, but did not get far yet. Are you willing to share with me what you have until now?
Comment 21 Hanno Böck gentoo-dev 2008-05-04 14:15:40 UTC
Current (broken) state in my local overlay, doesn't built for me atm (due to gcc 4.3), but main issue is that it doesn't find pg-libs on my system:
http://files.hboeck.de/mapnik/
Comment 22 Günther Hutzl 2008-05-27 16:08:38 UTC
Created attachment 154481 [details]
mapnik-0.5.1.ebuild

Based upon Hanno Boeck's 0.5.1 ebuild I created a new mapnik-0.5.1.ebuild which works for me. I did not have to use any patches at all. I used the local gentoo scons installation and added a dependency for it. I also added a new use flag for gdal.

I did not use gcc 4.3, so I don't know how it will perform for you, Hanno.
Comment 23 Günther Hutzl 2008-05-27 16:13:30 UTC
I forgot to mention this:

You need to add the ebuild from here to your local portage:

http://bugs.gentoo.org/show_bug.cgi?id=217886

because the current stable version dev-util/scons-0.97 in portage is not compatible with the latest mapnik.
Comment 24 Hanno Böck gentoo-dev 2008-05-27 18:22:01 UTC
Günther: Does it build postgres/postgis-support for you? Because that was the thing I never got working.
Comment 25 Jan-Erik Skata 2008-05-29 18:51:36 UTC
For me it stops at

>>> Emerging (1 of 1) sci-geosciences/mapnik-0.5.1 to /
 * Fetching 'mapnik_src-0.5.1.tar.gz' in the background. To view
 * fetch progress, run `tail -f /var/log/emerge-fetch.log` in
 * another terminal.

nothing comes out of the fetch log. Downloading the file manually does not work either.
Comment 26 Jan-Erik Skata 2008-05-29 19:14:06 UTC
Now it works, must have been a temporary glitch.
Comment 27 Günther Hutzl 2008-05-29 21:04:44 UTC
(In reply to comment #24)
> Günther: Does it build postgres/postgis-support for you? Because that was the
> thing I never got working.
> 

From what I see in the log file it seems to build and install some postgis related files, but I have not tested if it actually works, but I do not see any reason why it shouldn't. Do you have some piece of software that uses mapnik with postgres/postgis support so I can check if it works?

My intention was to install gpsdrive with mapnik support, but unfortunately the last time I tried it the gpsdrive svn version was broken with respect to mapnik (I guess it used some special intermediate or outdated mapnik version). Did anyone ever sucessfully install gpsdrive with mapnik support in gentoo?
Comment 28 Jan-Erik Skata 2008-06-04 07:45:02 UTC
I assume this includes the python-mapnik package/bindings mentioned in Debian/Ubuntu circles if built with python USE flag?
Comment 29 Jan-Erik Skata 2008-06-15 10:38:38 UTC
Attention! Mapnik will fail to build with libtool 2.2.4. Conflicting definition in /usr/include/ltdl.h. Works with 1.5.26.
Comment 30 Alexey 2008-07-08 18:06:27 UTC
(sorry for my english)
Hi all. I have just downloaded latest version from svn://svn.mapnik.org/trunk and it compiled, but I disabled cairo (there is mistake in compilation).....maybe try make ebuild with svn version?
Comment 31 Steve Arnold gentoo-dev 2008-09-25 06:02:46 UTC
Updated, patched, and in CVS...